#pragma once
#include "IObjectiveFunction.h"

class SystemSolution;
class VehicleSolution;


class ObjectiveFunctionSquaredDifference :
	public IObjectiveFunction
{
private:
	SystemSolution const* const mOptimalSolution;
public:
	ObjectiveFunctionSquaredDifference(SystemSolution const* const optimalSolution);
	virtual ~ObjectiveFunctionSquaredDifference();

	virtual float ComputeObjectiveFunction(VehicleSolution const * const inVehicleSolution);

	virtual std::string Description() const { return  "Squared difference of duration."; }
};

