#pragma once
#include <unordered_set>

class ElectricCircuit;
class ElectricTerminal;
class Vehicle;

class RequestCarte
{
public:
	RequestCarte();
	~RequestCarte();

	//Obligatoires
	ElectricCircuit* mRefElectricCircuit = nullptr;
	Vehicle* mRefVehicleRequested = nullptr;
	bool bIncludeOtherVehiclePresence = true;

	//Optionnel
	//Temps absolu maximal pour lequel on considere des attentes (donc des collisions pour les recharges). Pour les temps subsequent, on ignore celles-ci.
	float fIncludeOtherVehicleMaxTimeHorizon = INFINITY;
	std::unordered_set<ElectricTerminal*> mOptionnal_StationToIgnore;

	//Utilitaires
	void UtilConstructIndexLieuFromStationToIgnore(std::unordered_set<int> & out_Result) const;
	ElectricTerminal* IndexLieuToTerminal(int inIdIndexLieu) const;


};

