#pragma once
#include "SystemSolverArranged.h"
#include <math.h>

class IArrangement;
class ElectricCircuit;

class SystemSolverCAStar :
	public SystemSolverArranged
{
	protected:
		float mfTimeHorizon = INFINITY;
	public:
		SystemSolverCAStar(IObjectiveFunction* inObjectiveFunction, IVehicleSolver* inVehicleSolver, IArrangement* inArrangment, ElectricCircuit* inElectricCircuit);
		virtual ~SystemSolverCAStar();

		virtual void SolveSystem();
};

