#include "IObjectiveFunction.h"

#include "SystemSolution.h"

float IObjectiveFunction::ComputeObjectiveFunction(SystemSolution const * const inSystemSolution)
{
	float fTotal = 0.0f;
	for each (auto var in inSystemSolution->mMapVehicleSolution)
	{
		fTotal += ComputeObjectiveFunction(var.second);
	}
	return fTotal;
}
