#include "PathCache.h"
#include <iostream>


PathCache::PathCache()
{
}


PathCache::~PathCache()
{
}

void PathCache::addPath(int depart, int destination, double distance)
{
	mIndexLieuDistanceCache[depart][destination] = distance;
}

double PathCache::getPath(int depart, int destination, double distance)
{
	return mIndexLieuDistanceCache[depart][destination];
}

ostream & operator<<(ostream & out, const PathCache & p)
{
	for (auto mapDest = p.mIndexLieuDistanceCache.begin(); mapDest != p.mIndexLieuDistanceCache.end(); mapDest++)
	{
		for (auto path = mapDest->second.begin(); path != mapDest->second.end(); path++)
		{
			out << mapDest->first << " " << path->first << " " << path->second << std::endl;
		}
	}
	return out;
}

istream & operator>>(istream & in, PathCache & p)
{
	int depart, destination;
	double distance = 0.0;
	while(in >> depart >> destination >> distance)
	{
		p.addPath(depart, destination, distance);
	}
	return in;
}
