#pragma once
#include "IVehicleSolver.h"

class Carte;
class ElectricCircuit;
class IObjectiveFunction;

class VehicleSolverAbsoluteOptimal :
	public IVehicleSolver
{

protected:
	Carte const *const mRefCarte = nullptr;
	IObjectiveFunction *const mRefObjectiveFunction = nullptr;

public:
	VehicleSolverAbsoluteOptimal(Carte const *const inCarte, ElectricCircuit * inCircuit, IObjectiveFunction* inObjectiveFunction);
	virtual ~VehicleSolverAbsoluteOptimal();

	virtual void SolveFor(Vehicle* inVehicleToSolve, VehicleSolution* out_Solution);
};

